package w83b.w83bOperacionesPaso.w83bActas;

import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bCargarTiposDocumentoOP extends Q70ActionPasoOP {

	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		HashMap mapa=new HashMap();
		if (StringUtils.isNotEmpty(request.getParameter("numActa")))
		{
			//viene desde la edicion y me manda el numero de preaviso
			//si viene desde nuevo el unico tipo de documento que se puede sacar es aquello que su fase y tramite sean 1,1
			mapa.put("numActa", request.getParameter("numActa"));
			
			
		}
		else{
			mapa.put("modoAcceso", request.getParameter("modoAcceso"));
		}
		if("incidencias".equals((String)contexto.get("w83bSubOpFlag"))){
			mapa.put("modoAcceso", W83bClsConstantes.MODO_EDICION);			
		}
		mapa.put("strIdioma", contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA));
		contexto.set("w83bMapaActas", mapa);
		return mapping.findForward("ok");
		
	}
}
